## DzlEmptyState

DzlEmptyState

## Functions

GtkWidget * | dzl_empty_state_new ()
const gchar * | dzl_empty_state_get_icon_name ()
void | dzl_empty_state_set_icon_name ()
void | dzl_empty_state_set_resource ()
const gchar * | dzl_empty_state_get_title ()
void | dzl_empty_state_set_title ()
const gchar * | dzl_empty_state_get_subtitle ()
void | dzl_empty_state_set_subtitle ()

## Properties

char * | icon-name | Read / Write
int | pixel-size | Read / Write
char * | resource | Write
char * | subtitle | Read / Write
char * | title | Read / Write

## Types and Values

#define | DZL_TYPE_EMPTY_STATE
struct | DzlEmptyStateClass
| DzlEmptyState

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlEmptyState

## Implemented Interfaces

DzlEmptyState implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_empty_state_new ()

    GtkWidget *
    dzl_empty_state_new (void);

### dzl_empty_state_get_icon_name ()

    const gchar *
    dzl_empty_state_get_icon_name (DzlEmptyState *self);

### dzl_empty_state_set_icon_name ()

    void
    dzl_empty_state_set_icon_name (DzlEmptyState *self,
                                   const gchar *icon_name);

### dzl_empty_state_set_resource ()

    void
    dzl_empty_state_set_resource (DzlEmptyState *self,
                                  const gchar *resource);

### dzl_empty_state_get_title ()

    const gchar *
    dzl_empty_state_get_title (DzlEmptyState *self);

### dzl_empty_state_set_title ()

    void
    dzl_empty_state_set_title (DzlEmptyState *self,
                               const gchar *title);

### dzl_empty_state_get_subtitle ()

    const gchar *
    dzl_empty_state_get_subtitle (DzlEmptyState *self);

### dzl_empty_state_set_subtitle ()

    void
    dzl_empty_state_set_subtitle (DzlEmptyState *self,
                                  const gchar *title);

## Types and Values

### DZL_TYPE_EMPTY_STATE

    #define DZL_TYPE_EMPTY_STATE (dzl_empty_state_get_type())

### struct DzlEmptyStateClass

    struct DzlEmptyStateClass {
      GtkBinClass parent_class;
    };

### DzlEmptyState

    typedef struct _DzlEmptyState DzlEmptyState;

## Property Details

### The `“icon-name”` property

      “icon-name”                char *

The name of the icon to display.

Owner: DzlEmptyState

Flags: Read / Write

Default value: NULL

### The `“pixel-size”` property

      “pixel-size”               int

Pixel Size.

Owner: DzlEmptyState

Flags: Read / Write

Allowed values: >= 0

Default value: 128

### The `“resource”` property

      “resource”                 char *

A resource path to use for the icon.

Owner: DzlEmptyState

Flags: Write

Default value: NULL

### The `“subtitle”` property

      “subtitle”                 char *

The subtitle of the empty state.

Owner: DzlEmptyState

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    char *

The title of the empty state.

Owner: DzlEmptyState

Flags: Read / Write

Default value: NULL